New clamav check

Sun, 30 Nov 2008 23:12:42 +0100

author
mbse
date
Sun, 30 Nov 2008 23:12:42 +0100
changeset 3
09c6b23f6c6c
parent 2
52cf4d58816d
child 4
53437971e317

New clamav check

security.d/chk_clamav file | annotate | diff | comparison | revisions
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/security.d/chk_clamav	Sun Nov 30 23:12:42 2008 +0100
@@ -0,0 +1,59 @@
+#!/bin/bash
+#
+# $Id$
+#
+#############################################################################
+# Copyright (C) 2005-2007
+#   
+# Michiel Broek               <mbse@mbse.eu>
+# Beekmansbos 10
+# 1971 BV IJmuiden
+# the Netherlands
+#
+# This file is part of SlackSecCheckSripts.
+#
+# This package is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2, or (at your option) any
+# later version.
+#
+# SlackSecCheckSripts is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with MBSE BBS; see the file COPYING.  If not, write to the Free
+# Software Foundation, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+#############################################################################
+
+
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+
+umask 077
+TZ=UTC; export TZ
+LANG=C; export LANG
+
+SECUREDIR=`mktemp -d /tmp/_securedir.XXXXXX` || exit 1
+
+trap "/bin/rm -rf $SECUREDIR ; exit 0" EXIT INT QUIT PIPE
+
+if ! cd "$SECUREDIR"; then
+        echo "Can not cd to $SECUREDIR".
+        exit 1
+fi
+
+OUTPUT=secure1.$$
+
+
+if [ -x /usr/bin/clamscan ]; then
+    echo "" |clamscan --quiet - >> $OUTPUT 2>&1
+fi
+
+if [ -s $OUTPUT ] ; then
+    printf "\nChecking: "
+    clamscan --version
+    cat $OUTPUT
+fi
+
+

mercurial